import useContextMenu from "./hook/contextMenu";

function Fileset() {
  let { anchorPoint, show } = useContextMenu({ minX: 250 });

  return (
    <div className={"bg-gray-200 flex flex-col"}>
      <div className={"h-[200px]"}>
        <div
          data-key={"fileset1"}
          onDoubleClick={() => {
            console.log("double click");
          }}
        >
          文件集
        </div>
        {show ? (
          <div
            className={"fixed bg-white shadow px-1 select-none"}
            style={
              anchorPoint.y < window.innerHeight - 300
                ? { top: anchorPoint.y, left: anchorPoint.x }
                : {
                    bottom: window.innerHeight - anchorPoint.y,
                    left: anchorPoint.x,
                  }
            }
          >
            <ContextMenuItem>下载</ContextMenuItem>
            <ContextMenuItem>分享</ContextMenuItem>
            <ContextMenuItem>收藏</ContextMenuItem>
            <hr />
            <ContextMenuItem>重命名</ContextMenuItem>
            <ContextMenuItem>移动</ContextMenuItem>
            <ContextMenuItem>查看详细信息</ContextMenuItem>
            <hr />
            <ContextMenuItem important>移到回收站</ContextMenuItem>
          </div>
        ) : (
          ""
        )}
      </div>
      <div className={"w-full h-full"}>content</div>
    </div>
  );
}

function ContextMenuItem(props) {
  return (
    <div
      className={`py-2 px-5 my-1.5  cursor-pointer rounded-xl ${
        props.important
          ? "text-red-500 hover:text-red-700"
          : "text-gray-900 hover:text-gray-500"
      }`}
    >
      {props.children}
    </div>
  );
}

export default Fileset;
